#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 retry
version:              0.8.1.0
visibility:           public
id:                   retry-0.8.1.0-Kx9m9snjD4vESUK9SIthbO
key:                  retry-0.8.1.0-Kx9m9snjD4vESUK9SIthbO
license:              BSD-3-Clause
copyright:            Ozgun Ataman, Soostone Inc
maintainer:           ozgun.ataman@soostone.com
author:               Ozgun Ataman
homepage:             http://github.com/Soostone/retry
synopsis:             Retry combinators for monadic actions that may fail
description:
    This package exposes combinators that can wrap arbitrary
    monadic actions. They run the action and potentially retry
    running it with some configurable delay for a configurable
    number of times.
    The purpose is to make it easier to work with IO and
    especially network IO actions that often experience temporary
    failure and warrant retrying of the original action. For
    example, a database query may time out for a while, in which
    case we should hang back for a bit and retry the query instead
    of simply raising an exception.

category:             Control
abi:                  bc6991313ff24f517e05e7fbfc9bf604
exposed:              True
exposed-modules:      Control.Retry
import-dirs:          /usr/lib/ghc-8.8.2/site-local/retry-0.8.1.0
library-dirs:         /usr/lib/ghc-8.8.2/site-local/retry-0.8.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.2/retry-0.8.1.0
hs-libraries:         HSretry-0.8.1.0-Kx9m9snjD4vESUK9SIthbO
depends:
    base-4.13.0.0 exceptions-0.10.4-AcCA76Y0j0oK3rQoxPMQMv
    ghc-prim-0.5.3 random-1.1-CUqV1zxrwrE4K5XCdTZSYy
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-retry/html/retry.haddock
haddock-html:         /usr/share/doc/haskell-retry/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

